#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,192,320,640,768,960,1280
 * N : 25,128,192,320,640,768,960,1280
 * NB : 4,12,12,24,16,64,64,64
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 4; \
   else if ((n_) < 256) (nb_) = 12; \
   else if ((n_) < 480) (nb_) = 24; \
   else if ((n_) < 704) (nb_) = 16; \
   else (nb_) = 64; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
